Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.print
Class LargePageable.TranslatedPrintable

    java.lang.Object
      com.developmentontheedge.print.LargePageable.TranslatedPrintable

All Implemented Interfaces:
  java.awt.print.Printable

Enclosing class:
  LargePageable

public final class LargePageable.TranslatedPrintable
extends java.lang.Object
implements java.awt.print.Printable

This inner class's sole responsibility is to translate the coordinate system before invoking a canvas's painter. The coordinate system is translated in order to get the desired portion of a canvas to line up with the top of a page.

Field Summary

Fields inherited from interface java.awt.print.Printable
`NO_SUCH_PAGE, PAGE_EXISTS`

Constructor Summary
`LargePageable.TranslatedPrintable(java.awt.print.Printable painter, java.awt.geom.Point2D origin)` Create a new Printable that will translate the drawing done by painter on to the imageable area of a page.

Method Summary
`int` | `print(java.awt.Graphics graphics, java.awt.print.PageFormat pageFormat, int pageIndex)` Prints the page at the specified index into the specified `Graphics` context in the specified format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LargePageable.TranslatedPrintable

    public LargePageable.TranslatedPrintable(java.awt.print.Printable painter,
                                             java.awt.geom.Point2D origin)

  Create a new Printable that will translate the drawing done by painter on to the imageable area of a page.

Parameters:
  `painter` - The object responsible for drawing the canvas
  `origin` - The point in the canvas that will be mapped to the upper-left corner of the page's imageable area.

Method Detail

### print

    public int print(java.awt.Graphics graphics,
                     java.awt.print.PageFormat pageFormat,
                     int pageIndex)
              throws java.awt.print.PrinterException

  Prints the page at the specified index into the specified `Graphics` context in the specified format. A PrinterJob calls the Printableinterface to request that a page be rendered into the context specified by graphics. The format of the page to be drawn is specified by pageFormat. The zero based index of the requested page is specified by pageIndex. If the requested page does not exist then this method returns NO_SUCH_PAGE; otherwise PAGE_EXISTS is returned. The Graphics class or subclass implements the `PrinterGraphics` interface to provide additional information. If the Printable object aborts the print job then it throws a `PrinterException`.

  Specified by:
    `print` in interface `java.awt.print.Printable`
  Parameters:
    `graphics` - the context into which the page is drawn
    `pageFormat` - the size and orientation of the page being drawn
    `pageIndex` - the zero based index of the page to be drawn
  Returns:
    PAGE_EXISTS if the page is rendered successfully or NO_SUCH_PAGE if pageIndex specifies a non-existent page.
  Throws:
    `java.awt.print.PrinterException` - thrown when the print job is terminated.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.